Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 14 Mar 2023 02:56:34 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have purchased a polo t.shirt from splash unfortunately the size of that shirt is not correct as I order.when I see that size is not correct I request a refund online now 3 days passed no one came to me to take it back I received 2 messages that courier is out for pickup but no one contact me till now.
I really feel bad about service it makes me disappointed.
Is there any other way that I can drop my parcel directly to splash counter. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5842897